Skip to main content
GET
/
v1
/
customer-seats
List Seats
curl --request GET \
  --url https://api.spairehq.com/v1/customer-seats \
  --header 'Authorization: Bearer <token>'
{
  "seats": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "member": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "email": "<string>",
        "name": "Jane Doe",
        "external_id": "usr_1337"
      },
      "email": "<string>",
      "customer_email": "<string>",
      "invitation_token_expires_at": "2023-11-07T05:31:56Z",
      "claimed_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "seat_metadata": {}
    }
  ],
  "available_seats": 123,
  "total_seats": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

subscription_id
string<uuid4> | null
order_id
string<uuid4> | null

Response

Successful Response

seats
CustomerSeat · object[]
required

List of seats

available_seats
integer
required

Number of available seats

total_seats
integer
required

Total number of seats for the subscription